BasicToolBarUI.DockingListener (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.basic.BasicToolBarUI.DockingListener class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicToolBarUI.DockingListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.DockingListener

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`
  Direct Known Subclasses:
    `MetalToolBarUI.MetalDockingListener`
  Enclosing class:
    BasicToolBarUI

      public class BasicToolBarUI.DockingListener
      extends Object
      implements MouseInputListener

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicToolBarUI.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `isDragging` | `true` if the `JToolBar` is being dragged.
    `protected Point` | `origin` | The origin point.
    `protected JToolBar` | `toolBar` | The instance of `JToolBar`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DockingListener​(JToolBar t)` | Constructs a new instance of `DockingListener`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseClicked​(MouseEvent e)` | Invoked when the mouse button has been clicked (pressed and released) on a component.
    `void` | `mouseDragged​(MouseEvent e)` | Invoked when a mouse button is pressed on a component and then dragged.
    `void` | `mouseEntered​(MouseEvent e)` | Invoked when the mouse enters a component.
    `void` | `mouseExited​(MouseEvent e)` | Invoked when the mouse exits a component.
    `void` | `mouseMoved​(MouseEvent e)` | Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
    `void` | `mousePressed​(MouseEvent e)` | Invoked when a mouse button has been pressed on a component.
    `void` | `mouseReleased​(MouseEvent e)` | Invoked when a mouse button has been released on a component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### toolBar

          protected JToolBar toolBar

      The instance of `JToolBar`.

    - #### isDragging

          protected boolean isDragging

      `true` if the `JToolBar` is being dragged.

    - #### origin

          protected Point origin

      The origin point.

  - ### Constructor Detail

    - #### DockingListener

          public DockingListener​(JToolBar t)

      Constructs a new instance of `DockingListener`.
      Parameters:
        `t` - an instance of `JToolBar`

  - ### Method Detail

    - #### mouseClicked

          public void mouseClicked​(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse button has been clicked (pressed and released) on a component.
      Specified by:
        `mouseClicked` in interface `MouseListener`
      Parameters:
        `e` - the event to be processed

    - #### mousePressed

          public void mousePressed​(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `MouseListener`
      Parameters:
        `e` - the event to be processed

    - #### mouseReleased

          public void mouseReleased​(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `MouseListener`
      Parameters:
        `e` - the event to be processed

    - #### mouseEntered

          public void mouseEntered​(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse enters a component.
      Specified by:
        `mouseEntered` in interface `MouseListener`
      Parameters:
        `e` - the event to be processed

    - #### mouseExited

          public void mouseExited​(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse exits a component.
      Specified by:
        `mouseExited` in interface `MouseListener`
      Parameters:
        `e` - the event to be processed

    - #### mouseDragged

          public void mouseDragged​(MouseEvent e)

      Description copied from interface: `MouseMotionListener`
      Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

      Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`
      Parameters:
        `e` - the event to be processed

    - #### mouseMoved

          public void mouseMoved​(MouseEvent e)

      Description copied from interface: `MouseMotionListener`
      Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
      Specified by:
        `mouseMoved` in interface `MouseMotionListener`
      Parameters:
        `e` - the event to be processed